%global debug_package %{nil}

# Place RPM macros in %%{_rpmconfigdir}/macros.d if it exists (RPM 4.11+)
# Otherwise, use %%{_sysconfdir}/rpm
# https://lists.fedoraproject.org/pipermail/devel/2014-January/195026.html
%global macrosdir %(d=%{_rpmconfigdir}/macros.d; [ -d $d ] || d=%{_sysconfdir}/rpm; echo $d)

Name:           mingw-filesystem
Version:        101
Release:        %mkrel 1
Summary:        MinGW cross compiler base filesystem and environment

Group:          Development/Other
License:        GPLv2+
URL:            http://fedoraproject.org/wiki/MinGW
BuildArch:      noarch

Source0:        COPYING
Source1:        macros.mingw
Source2:        macros.mingw32
Source3:        macros.mingw64
Source4:        mingw32.sh
Source5:        mingw64.sh
Source6:        mingw-find-debuginfo.sh
Source7:        mingw-find-requires.sh
Source8:        mingw-find-provides.sh
Source9:        mingw-scripts.sh
Source10:       mingw-rpmlint.config
Source11:       toolchain-mingw32.cmake
Source12:       toolchain-mingw64.cmake
Source13:       mingw-find-lang.sh
Source14:       mingw32.attr
Source15:       mingw64.attr
# generated with:
# (rpm -ql mingw32-crt | grep '\.a$' | while read f ; do i686-w64-mingw32-dlltool   -I $f 2>/dev/null ; done) | sort | uniq | tr A-Z a-z > standard-dlls-mingw32
Source16:       standard-dlls-mingw32
# (rpm -ql mingw64-crt | grep '\.a$' | while read f ; do x86_64-w64-mingw32-dlltool -I $f 2>/dev/null ; done) | sort | uniq | tr A-Z a-z > standard-dlls-mingw64
Source17:       standard-dlls-mingw64

# Taken from the Fedora filesystem package
Source101:      https://fedorahosted.org/filesystem/browser/lang-exceptions
Source102:      iso_639.sed
Source103:      iso_3166.sed

BuildRequires:  iso-codes


%description
This package contains the base filesystem layout, RPM macros and
environment for all Fedora MinGW packages.

This environment is maintained by the Fedora MinGW SIG at:

  http://fedoraproject.org/wiki/SIGs/MinGW


%package base
Summary:        Generic files which are needed for both mingw32-filesystem and mingw64-filesystem

# Obsolete the packages from the test repo
Obsoletes:      cross-filesystem < 67-2
Obsoletes:      cross-filesystem-scripts < 67-2
Obsoletes:      mingw-filesystem < 75-2
Obsoletes:      mingw-filesystem-scripts < 75-2

%description base
This package contains the base filesystem layout, RPM macros and
environment for all Fedora MinGW packages.

This environment is maintained by the Fedora MinGW SIG at:

  http://fedoraproject.org/wiki/SIGs/MinGW


%package -n mingw32-filesystem
Summary:        MinGW cross compiler base filesystem and environment for the win32 target
Requires:       %{name}-base = %{version}-%{release}

# Note about 'Provides: mingw32(foo.dll)'
# ------------------------------------------------------------
#
# We want to be able to build & install mingw32 libraries without
# necessarily needing to install wine.  (And certainly not needing to
# install Windows!)  There is no requirement to have wine installed in
# order to use the mingw toolchain to develop software (ie. to
# compile more stuff on top of it), so why require that?
#
# So for expediency, this base package provides the "missing" DLLs
# from Windows.  Another way to do it would be to exclude these
# proprietary DLLs in our find-requires checking script - essentially
# it comes out the same either way.
#
#Provides:       %(sed "s/\(.*\)/mingw32(\1) /g" %{SOURCE16} | tr "\n" " ")
Provides:  mingw32(aclui.dll)
Provides:  mingw32(advapi32.dll)
Provides:  mingw32(apcups.dll)
Provides:  mingw32(authz.dll)
Provides:  mingw32(avicap32.dll)
Provides:  mingw32(avifil32.dll)
Provides:  mingw32(bcrypt.dll)
Provides:  mingw32(bootvid.dll)
Provides:  mingw32(bthprops.cpl)
Provides:  mingw32(cabinet.dll)
Provides:  mingw32(cap.dll)
Provides:  mingw32(cfgmgr32.dll)
Provides:  mingw32(classpnp.sys)
Provides:  mingw32(clfsw32.dll)
Provides:  mingw32(clusapi.dll)
Provides:  mingw32(cmutil.dll)
Provides:  mingw32(comctl32.dll)
Provides:  mingw32(comdlg32.dll)
Provides:  mingw32(connect.dll)
Provides:  mingw32(credui.dll)
Provides:  mingw32(crtdll.dll)
Provides:  mingw32(crypt32.dll)
Provides:  mingw32(cryptnet.dll)
Provides:  mingw32(cryptsp.dll)
Provides:  mingw32(cryptxml.dll)
Provides:  mingw32(cscapi.dll)
Provides:  mingw32(ctl3d32.dll)
Provides:  mingw32(d2d1.dll)
Provides:  mingw32(d3d8.dll)
Provides:  mingw32(d3d9.dll)
Provides:  mingw32(d3dcompiler.dll)
Provides:  mingw32(d3dcompiler_37.dll)
Provides:  mingw32(d3dcompiler_38.dll)
Provides:  mingw32(d3dcompiler_39.dll)
Provides:  mingw32(d3dcompiler_40.dll)
Provides:  mingw32(d3dcompiler_41.dll)
Provides:  mingw32(d3dcompiler_42.dll)
Provides:  mingw32(d3dcompiler_43.dll)
Provides:  mingw32(d3dcompiler_46.dll)
Provides:  mingw32(d3dcsx_46.dll)
Provides:  mingw32(d3dcsxd_43.dll)
Provides:  mingw32(d3dim.dll)
Provides:  mingw32(d3drm.dll)
Provides:  mingw32(d3dx10_33.dll)
Provides:  mingw32(d3dx10_34.dll)
Provides:  mingw32(d3dx10_35.dll)
Provides:  mingw32(d3dx10_36.dll)
Provides:  mingw32(d3dx10_37.dll)
Provides:  mingw32(d3dx10_38.dll)
Provides:  mingw32(d3dx10_39.dll)
Provides:  mingw32(d3dx10_40.dll)
Provides:  mingw32(d3dx10_41.dll)
Provides:  mingw32(d3dx10_42.dll)
Provides:  mingw32(d3dx10_43.dll)
Provides:  mingw32(d3dx11_42.dll)
Provides:  mingw32(d3dx11_43.dll)
Provides:  mingw32(d3dx8d.dll)
Provides:  mingw32(d3dx9_24.dll)
Provides:  mingw32(d3dx9_25.dll)
Provides:  mingw32(d3dx9_26.dll)
Provides:  mingw32(d3dx9_27.dll)
Provides:  mingw32(d3dx9_28.dll)
Provides:  mingw32(d3dx9_29.dll)
Provides:  mingw32(d3dx9_30.dll)
Provides:  mingw32(d3dx9_31.dll)
Provides:  mingw32(d3dx9_32.dll)
Provides:  mingw32(d3dx9_33.dll)
Provides:  mingw32(d3dx9_34.dll)
Provides:  mingw32(d3dx9_35.dll)
Provides:  mingw32(d3dx9_36.dll)
Provides:  mingw32(d3dx9_37.dll)
Provides:  mingw32(d3dx9_38.dll)
Provides:  mingw32(d3dx9_39.dll)
Provides:  mingw32(d3dx9_40.dll)
Provides:  mingw32(d3dx9_41.dll)
Provides:  mingw32(d3dx9_42.dll)
Provides:  mingw32(d3dx9_43.dll)
Provides:  mingw32(d3dx9d.dll)
Provides:  mingw32(d3dxof.dll)
Provides:  mingw32(davclnt.dll)
Provides:  mingw32(dbgeng.dll)
Provides:  mingw32(dbghelp.dll)
Provides:  mingw32(ddraw.dll)
Provides:  mingw32(devmgr.dll)
Provides:  mingw32(devobj.dll)
Provides:  mingw32(devrtl.dll)
Provides:  mingw32(dhcpcsvc.dll)
Provides:  mingw32(dhcpcsvc6.dll)
Provides:  mingw32(dhcpsapi.dll)
Provides:  mingw32(dinput.dll)
Provides:  mingw32(dinput8.dll)
Provides:  mingw32(dlcapi.dll)
Provides:  mingw32(dnsapi.dll)
Provides:  mingw32(dplayx.dll)
Provides:  mingw32(dpnaddr.dll)
Provides:  mingw32(dpnet.dll)
Provides:  mingw32(dpnlobby.def)
Provides:  mingw32(dpvoice.dll)
Provides:  mingw32(dsetup.dll)
Provides:  mingw32(dsound.dll)
Provides:  mingw32(dssec.dll)
Provides:  mingw32(dwmapi.dll)
Provides:  mingw32(dwrite.dll)
Provides:  mingw32(dxapi.sys)
Provides:  mingw32(dxgi.dll)
Provides:  mingw32(dxva2.dll)
Provides:  mingw32(eappcfg.dll)
Provides:  mingw32(eapphost.dll)
Provides:  mingw32(eappprxy.dll)
Provides:  mingw32(esent.dll)
Provides:  mingw32(evr.dll)
Provides:  mingw32(faultrep.dll)
Provides:  mingw32(fwpuclnt.dll)
Provides:  mingw32(gdi32.dll)
Provides:  mingw32(gdiplus.dll)
Provides:  mingw32(genericui.dll)
Provides:  mingw32(glaux.dll)
Provides:  mingw32(glu32.dll)
Provides:  mingw32(glut.dll)
Provides:  mingw32(glut32.dll)
Provides:  mingw32(gpapi.dll)
Provides:  mingw32(gpedit.dll)
Provides:  mingw32(gpscript.dll)
Provides:  mingw32(gptext.dll)
Provides:  mingw32(hal.dll)
Provides:  mingw32(hid.dll)
Provides:  mingw32(hidclass.sys)
Provides:  mingw32(hidparse.sys)
Provides:  mingw32(httpapi.dll)
Provides:  mingw32(icmui.dll)
Provides:  mingw32(igmpagnt.dll)
Provides:  mingw32(imagehlp.dll)
Provides:  mingw32(imm32.dll)
Provides:  mingw32(iphlpapi.dll)
Provides:  mingw32(iscsidsc.dll)
Provides:  mingw32(kernel32.dll)
Provides:  mingw32(ks.sys)
Provides:  mingw32(ksproxy.ax)
Provides:  mingw32(ksuser.dll)
Provides:  mingw32(ktmw32.dll)
Provides:  mingw32(lz32.dll)
Provides:  mingw32(mapi32.dll)
Provides:  mingw32(mcd.sys)
Provides:  mingw32(mf.dll)
Provides:  mingw32(mfcuia32.dll)
Provides:  mingw32(mfplat.dll)
Provides:  mingw32(mgmtapi.dll)
Provides:  mingw32(mpr.dll)
Provides:  mingw32(mprapi.dll)
Provides:  mingw32(mqrt.dll)
Provides:  mingw32(msacm32.dll)
Provides:  mingw32(mscms.dll)
Provides:  mingw32(mscoree.dll)
Provides:  mingw32(msctf.dll)
Provides:  mingw32(msdmo.dll)
Provides:  mingw32(msdrm.dll)
Provides:  mingw32(mshtml.dll)
Provides:  mingw32(mshtmled.dll)
Provides:  mingw32(msi.dll)
Provides:  mingw32(msimg32.dll)
Provides:  mingw32(mstask.dll)
Provides:  mingw32(msvcp60.dll)
Provides:  mingw32(msvcr100.dll)
Provides:  mingw32(msvcr110.dll)
Provides:  mingw32(msvcr80.dll)
Provides:  mingw32(msvcr90.dll)
Provides:  mingw32(msvcr90d.dll)
Provides:  mingw32(msvcrt.dll)
Provides:  mingw32(msvfw32.dll)
Provides:  mingw32(mswsock.dll)
Provides:  mingw32(ncrypt.dll)
Provides:  mingw32(nddeapi.dll)
Provides:  mingw32(ndfapi.dll)
Provides:  mingw32(ndis.sys)
Provides:  mingw32(netapi32.dll)
Provides:  mingw32(newdev.dll)
Provides:  mingw32(normaliz.dll)
Provides:  mingw32(ntdll.dll)
Provides:  mingw32(ntdsapi.dll)
Provides:  mingw32(ntmsapi.dll)
Provides:  mingw32(ntoskrnl.exe)
Provides:  mingw32(odbc32.dll)
Provides:  mingw32(odbccp32.dll)
Provides:  mingw32(ole32.dll)
Provides:  mingw32(oleacc.dll)
Provides:  mingw32(oleaut32.dll)
Provides:  mingw32(olecli32.dll)
Provides:  mingw32(oledlg.dll)
Provides:  mingw32(olepro32.dll)
Provides:  mingw32(olesvr32.dll)
Provides:  mingw32(opengl32.dll)
Provides:  mingw32(p2p.dll)
Provides:  mingw32(p2pcollab.dll)
Provides:  mingw32(p2pgraph.dll)
Provides:  mingw32(pcwum.dll)
Provides:  mingw32(pdh.dll)
Provides:  mingw32(pdhui.dll)
Provides:  mingw32(penwin32.dll)
Provides:  mingw32(pkpd32.dll)
Provides:  mingw32(polprocl.dll)
Provides:  mingw32(powrprof.dll)
Provides:  mingw32(psapi.dll)
Provides:  mingw32(quartz.dll)
Provides:  mingw32(qutil.dll)
Provides:  mingw32(qwave.dll)
Provides:  mingw32(rapi.dll)
Provides:  mingw32(rasapi32.dll)
Provides:  mingw32(rasdlg.dll)
Provides:  mingw32(resutils.dll)
Provides:  mingw32(rpcdce4.dll)
Provides:  mingw32(rpcdiag.dll)
Provides:  mingw32(rpchttp.dll)
Provides:  mingw32(rpcns4.dll)
Provides:  mingw32(rpcrt4.dll)
Provides:  mingw32(rstrtmgr.dll)
Provides:  mingw32(rtm.dll)
Provides:  mingw32(rtutils.dll)
Provides:  mingw32(scsiport.sys)
Provides:  mingw32(secur32.dll)
Provides:  mingw32(setupapi.dll)
Provides:  mingw32(shell32.dll)
Provides:  mingw32(shfolder.dll)
Provides:  mingw32(shlwapi.dll)
Provides:  mingw32(slc.dll)
Provides:  mingw32(slcext.dll)
Provides:  mingw32(slwga.dll)
Provides:  mingw32(snmpapi.dll)
Provides:  mingw32(spoolss.dll)
Provides:  mingw32(sspicli.dll)
Provides:  mingw32(svrapi.dll)
Provides:  mingw32(sxs.dll)
Provides:  mingw32(t2embed.dll)
Provides:  mingw32(tapi32.dll)
Provides:  mingw32(tbs.dll)
Provides:  mingw32(tdh.dll)
Provides:  mingw32(tdi.sys)
Provides:  mingw32(thirdpartyeapdispatcher.dll)
Provides:  mingw32(txfw32.dll)
Provides:  mingw32(url.dll)
Provides:  mingw32(usbcamd.sys)
Provides:  mingw32(usbcamd2.sys)
Provides:  mingw32(usbd.sys)
Provides:  mingw32(usbport.sys)
Provides:  mingw32(user32.dll)
Provides:  mingw32(userenv.dll)
Provides:  mingw32(usp10.dll)
Provides:  mingw32(uxtheme.dll)
Provides:  mingw32(vdmdbg.dll)
Provides:  mingw32(version.dll)
Provides:  mingw32(videoprt.sys)
Provides:  mingw32(virtdisk.dll)
Provides:  mingw32(vss_ps.dll)
Provides:  mingw32(vssapi.dll)
Provides:  mingw32(vsstrace.dll)
Provides:  mingw32(wdsclient.dll)
Provides:  mingw32(wdsclientapi.dll)
Provides:  mingw32(wdscore.dll)
Provides:  mingw32(wdscsl.dll)
Provides:  mingw32(wdsimage.dll)
Provides:  mingw32(wdstptc.dll)
Provides:  mingw32(wdsupgcompl.dll)
Provides:  mingw32(wdsutil.dll)
Provides:  mingw32(wecapi.dll)
Provides:  mingw32(wer.dll)
Provides:  mingw32(wevtapi.dll)
Provides:  mingw32(wevtfwd.dll)
Provides:  mingw32(win32k.sys)
Provides:  mingw32(win32spl.dll)
Provides:  mingw32(winhttp.dll)
Provides:  mingw32(wininet.dll)
Provides:  mingw32(winmm.dll)
Provides:  mingw32(winscard.dll)
Provides:  mingw32(winspool.drv)
Provides:  mingw32(winstrm.dll)
Provides:  mingw32(winusb.dll)
Provides:  mingw32(wlanapi.dll)
Provides:  mingw32(wlanui.dll)
Provides:  mingw32(wlanutil.dll)
Provides:  mingw32(wldap32.dll)
Provides:  mingw32(wow32.dll)
Provides:  mingw32(ws2_32.dll)
Provides:  mingw32(wsdapi.dll)
Provides:  mingw32(wsnmp32.dll)
Provides:  mingw32(wsock32.dll)
Provides:  mingw32(wst.dll)
Provides:  mingw32(wtsapi32.dll)
Provides:  mingw32(x3daudio1_2.dll)
Provides:  mingw32(x3daudio1_3.dll)
Provides:  mingw32(x3daudio1_4.dll)
Provides:  mingw32(x3daudio1_5.dll)
Provides:  mingw32(x3daudio1_6.dll)
Provides:  mingw32(x3daudio1_7.dll)
Provides:  mingw32(x3daudiod1_7.dll)
Provides:  mingw32(xapofx1_0.dll)
Provides:  mingw32(xapofx1_1.dll)
Provides:  mingw32(xapofx1_2.dll)
Provides:  mingw32(xapofx1_3.dll)
Provides:  mingw32(xapofx1_4.dll)
Provides:  mingw32(xapofx1_5.dll)
Provides:  mingw32(xapofxd1_5.dll)
Provides:  mingw32(xaudio2.dll)
Provides:  mingw32(xinput1_1.dll)
Provides:  mingw32(xinput1_2.dll)
Provides:  mingw32(xinput1_3.dll)
Provides:  mingw32(mscoree.dll)

%description -n mingw32-filesystem
This package contains the base filesystem layout, RPM macros and
environment for all Fedora MinGW packages.

This environment is maintained by the Fedora MinGW SIG at:

  http://fedoraproject.org/wiki/SIGs/MinGW


%package -n mingw64-filesystem
Summary:        MinGW cross compiler base filesystem and environment for the win64 target
Requires:       %{name}-base = %{version}-%{release}

#Provides:       %(sed "s/\(.*\)/mingw64(\1) /g" %{SOURCE17} | tr "\n" " ")
Provides:  mingw64(6to4svc.dll)
Provides:  mingw64(aaaamon.dll)
Provides:  mingw64(acledit.dll)
Provides:  mingw64(aclui.dll)
Provides:  mingw64(active.dll)
Provides:  mingw64(activeds.dll)
Provides:  mingw64(admparse.dll)
Provides:  mingw64(admwprox.dll)
Provides:  mingw64(adptif.dll)
Provides:  mingw64(adrot.dll)
Provides:  mingw64(adsiis.dll)
Provides:  mingw64(adsiisex.dll)
Provides:  mingw64(adsldp.dll)
Provides:  mingw64(adsldpc.dll)
Provides:  mingw64(adsmsext.dll)
Provides:  mingw64(adsnt.dll)
Provides:  mingw64(advapi32.dll)
Provides:  mingw64(advpack.dll)
Provides:  mingw64(aelupsvc.dll)
Provides:  mingw64(agentanm.dll)
Provides:  mingw64(agentctl.dll)
Provides:  mingw64(agentdp2.dll)
Provides:  mingw64(agentdpv.dll)
Provides:  mingw64(agentmpx.dll)
Provides:  mingw64(agentpsh.dll)
Provides:  mingw64(agentsr.dll)
Provides:  mingw64(agrmco64.dll)
Provides:  mingw64(agtintl.dll)
Provides:  mingw64(aksclass.dll)
Provides:  mingw64(alrsvc.dll)
Provides:  mingw64(amstream.dll)
Provides:  mingw64(apcups.dll)
Provides:  mingw64(apphelp.dll)
Provides:  mingw64(appmgmts.dll)
Provides:  mingw64(aqadmin.dll)
Provides:  mingw64(aqueue.dll)
Provides:  mingw64(asp.dll)
Provides:  mingw64(aspperf.dll)
Provides:  mingw64(asycfilt.dll)
Provides:  mingw64(atkctrs.dll)
Provides:  mingw64(atl.dll)
Provides:  mingw64(atmlib.dll)
Provides:  mingw64(atrace.dll)
Provides:  mingw64(audiosrv.dll)
Provides:  mingw64(authz.dll)
Provides:  mingw64(autodial.dll)
Provides:  mingw64(autodisc.dll)
Provides:  mingw64(avicap32.dll)
Provides:  mingw64(avifil32.dll)
Provides:  mingw64(azroles.dll)
Provides:  mingw64(azroleui.dll)
Provides:  mingw64(basesrv.dll)
Provides:  mingw64(batmeter.dll)
Provides:  mingw64(batt.dll)
Provides:  mingw64(bcrypt.dll)
Provides:  mingw64(bidispl.dll)
Provides:  mingw64(bitsprx2.dll)
Provides:  mingw64(bitsprx3.dll)
Provides:  mingw64(bnts.dll)
Provides:  mingw64(bootvid.dll)
Provides:  mingw64(bprovider.dll)
Provides:  mingw64(browscap.dll)
Provides:  mingw64(browser.dll)
Provides:  mingw64(browseui.dll)
Provides:  mingw64(brp_sysinfo.dll)
Provides:  mingw64(bthpanux.dll)
Provides:  mingw64(bthprops.cpl)
Provides:  mingw64(bthserv.dll)
Provides:  mingw64(c_gb18030.dll)
Provides:  mingw64(c_is2022.dll)
Provides:  mingw64(c_iscii.dll)
Provides:  mingw64(cabinet.dll)
Provides:  mingw64(cabview.dll)
Provides:  mingw64(camocx.dll)
Provides:  mingw64(cards.dll)
Provides:  mingw64(catsrv.dll)
Provides:  mingw64(catsrvps.dll)
Provides:  mingw64(catsrvut.dll)
Provides:  mingw64(cdfview.dll)
Provides:  mingw64(cdm.dll)
Provides:  mingw64(cdosys.dll)
Provides:  mingw64(certcli.dll)
Provides:  mingw64(certmgr.dll)
Provides:  mingw64(certobj.dll)
Provides:  mingw64(cfgbkend.dll)
Provides:  mingw64(cfgmgr32.dll)
Provides:  mingw64(chsbrkr.dll)
Provides:  mingw64(chtbrkr.dll)
Provides:  mingw64(ciadmin.dll)
Provides:  mingw64(cic.dll)
Provides:  mingw64(cimwin32.dll)
Provides:  mingw64(cintime.dll)
Provides:  mingw64(ciodm.dll)
Provides:  mingw64(classpnp.sys)
Provides:  mingw64(clb.dll)
Provides:  mingw64(clbcatq.dll)
Provides:  mingw64(clfsw32.dll)
Provides:  mingw64(cliconfg.dll)
Provides:  mingw64(clusapi.dll)
Provides:  mingw64(cmcfg32.dll)
Provides:  mingw64(cmdial32.dll)
Provides:  mingw64(cmpbk32.dll)
Provides:  mingw64(cmprops.dll)
Provides:  mingw64(cmsetacl.dll)
Provides:  mingw64(cmutil.dll)
Provides:  mingw64(cnbjmon.dll)
Provides:  mingw64(cnetcfg.dll)
Provides:  mingw64(coadmin.dll)
Provides:  mingw64(colbact.dll)
Provides:  mingw64(colbcat.dll)
Provides:  mingw64(comaddin.dll)
Provides:  mingw64(comadmin.dll)
Provides:  mingw64(comcat.dll)
Provides:  mingw64(comctl32.dll)
Provides:  mingw64(comdlg32.dll)
Provides:  mingw64(compatui.dll)
Provides:  mingw64(compstui.dll)
Provides:  mingw64(comrepl.dll)
Provides:  mingw64(comres.dll)
Provides:  mingw64(comsetup.dll)
Provides:  mingw64(comsnap.dll)
Provides:  mingw64(comsvcs.dll)
Provides:  mingw64(comuid.dll)
Provides:  mingw64(confmsp.dll)
Provides:  mingw64(connect.dll)
Provides:  mingw64(console.dll)
Provides:  mingw64(controt.dll)
Provides:  mingw64(corpol.dll)
Provides:  mingw64(credui.dll)
Provides:  mingw64(crtdll.dll)
Provides:  mingw64(crypt32.dll)
Provides:  mingw64(cryptdlg.dll)
Provides:  mingw64(cryptdll.dll)
Provides:  mingw64(cryptext.dll)
Provides:  mingw64(cryptnet.dll)
Provides:  mingw64(cryptsp.dll)
Provides:  mingw64(cryptsvc.dll)
Provides:  mingw64(cryptui.dll)
Provides:  mingw64(cryptxml.dll)
Provides:  mingw64(cscapi.dll)
Provides:  mingw64(cscdll.dll)
Provides:  mingw64(cscui.dll)
Provides:  mingw64(csrsrv.dll)
Provides:  mingw64(cufat.dll)
Provides:  mingw64(d2d1.dll)
Provides:  mingw64(d3d8thk.dll)
Provides:  mingw64(d3d9.dll)
Provides:  mingw64(d3dcompiler.dll)
Provides:  mingw64(d3dcompiler_37.dll)
Provides:  mingw64(d3dcompiler_38.dll)
Provides:  mingw64(d3dcompiler_39.dll)
Provides:  mingw64(d3dcompiler_40.dll)
Provides:  mingw64(d3dcompiler_41.dll)
Provides:  mingw64(d3dcompiler_42.dll)
Provides:  mingw64(d3dcompiler_43.dll)
Provides:  mingw64(d3dcompiler_46.dll)
Provides:  mingw64(d3dcsx_46.dll)
Provides:  mingw64(d3dcsxd_43.dll)
Provides:  mingw64(d3dx10_33.dll)
Provides:  mingw64(d3dx10_34.dll)
Provides:  mingw64(d3dx10_35.dll)
Provides:  mingw64(d3dx10_36.dll)
Provides:  mingw64(d3dx10_37.dll)
Provides:  mingw64(d3dx10_38.dll)
Provides:  mingw64(d3dx10_39.dll)
Provides:  mingw64(d3dx10_40.dll)
Provides:  mingw64(d3dx10_41.dll)
Provides:  mingw64(d3dx10_42.dll)
Provides:  mingw64(d3dx10_43.dll)
Provides:  mingw64(d3dx11_42.dll)
Provides:  mingw64(d3dx11_43.dll)
Provides:  mingw64(d3dx9_24.dll)
Provides:  mingw64(d3dx9_25.dll)
Provides:  mingw64(d3dx9_26.dll)
Provides:  mingw64(d3dx9_27.dll)
Provides:  mingw64(d3dx9_28.dll)
Provides:  mingw64(d3dx9_29.dll)
Provides:  mingw64(d3dx9_30.dll)
Provides:  mingw64(d3dx9_31.dll)
Provides:  mingw64(d3dx9_32.dll)
Provides:  mingw64(d3dx9_33.dll)
Provides:  mingw64(d3dx9_34.dll)
Provides:  mingw64(d3dx9_35.dll)
Provides:  mingw64(d3dx9_36.dll)
Provides:  mingw64(d3dx9_37.dll)
Provides:  mingw64(d3dx9_38.dll)
Provides:  mingw64(d3dx9_39.dll)
Provides:  mingw64(d3dx9_40.dll)
Provides:  mingw64(d3dx9_41.dll)
Provides:  mingw64(d3dx9_42.dll)
Provides:  mingw64(d3dx9_43.dll)
Provides:  mingw64(d3dxof.dll)
Provides:  mingw64(danim.dll)
Provides:  mingw64(dataclen.dll)
Provides:  mingw64(datime.dll)
Provides:  mingw64(davclnt.dll)
Provides:  mingw64(davcprox.dll)
Provides:  mingw64(dbgeng.dll)
Provides:  mingw64(dbghelp.dll)
Provides:  mingw64(dbnetlib.dll)
Provides:  mingw64(dbnmpntw.dll)
Provides:  mingw64(dciman32.dll)
Provides:  mingw64(ddraw.dll)
Provides:  mingw64(ddrawex.dll)
Provides:  mingw64(deskadp.dll)
Provides:  mingw64(deskmon.dll)
Provides:  mingw64(deskperf.dll)
Provides:  mingw64(devenum.dll)
Provides:  mingw64(devmgr.dll)
Provides:  mingw64(devobj.dll)
Provides:  mingw64(devrtl.dll)
Provides:  mingw64(dfrgifcps.dll)
Provides:  mingw64(dfrgsnap.dll)
Provides:  mingw64(dfrgui.dll)
Provides:  mingw64(dfsshlex.dll)
Provides:  mingw64(dgnet.dll)
Provides:  mingw64(dhcpcsvc.dll)
Provides:  mingw64(dhcpcsvc6.dll)
Provides:  mingw64(dhcpmon.dll)
Provides:  mingw64(dhcpsapi.dll)
Provides:  mingw64(diactfrm.dll)
Provides:  mingw64(digest.dll)
Provides:  mingw64(dimap.dll)
Provides:  mingw64(dimsntfy.dll)
Provides:  mingw64(dimsroam.dll)
Provides:  mingw64(dinput.dll)
Provides:  mingw64(dinput8.dll)
Provides:  mingw64(directdb.dll)
Provides:  mingw64(diskcopy.dll)
Provides:  mingw64(dispex.dll)
Provides:  mingw64(dmconfig.dll)
Provides:  mingw64(dmdlgs.dll)
Provides:  mingw64(dmdskmgr.dll)
Provides:  mingw64(dmintf.dll)
Provides:  mingw64(dmivcitf.dll)
Provides:  mingw64(dmocx.dll)
Provides:  mingw64(dmserver.dll)
Provides:  mingw64(dmutil.dll)
Provides:  mingw64(dnsapi.dll)
Provides:  mingw64(dnsrslvr.dll)
Provides:  mingw64(docprop.dll)
Provides:  mingw64(docprop2.dll)
Provides:  mingw64(dpnaddr.dll)
Provides:  mingw64(dpnet.dll)
Provides:  mingw64(dpnhpast.dll)
Provides:  mingw64(dpnhupnp.dll)
Provides:  mingw64(dpnlobby.dll)
Provides:  mingw64(dpvacm.dll)
Provides:  mingw64(dpvoice.dll)
Provides:  mingw64(dpvvox.dll)
Provides:  mingw64(drprov.dll)
Provides:  mingw64(ds32gt.dll)
Provides:  mingw64(dsauth.dll)
Provides:  mingw64(dsdmo.dll)
Provides:  mingw64(dsdmoprp.dll)
Provides:  mingw64(dskquota.dll)
Provides:  mingw64(dskquoui.dll)
Provides:  mingw64(dsound.dll)
Provides:  mingw64(dsound3d.dll)
Provides:  mingw64(dsprop.dll)
Provides:  mingw64(dsprov.dll)
Provides:  mingw64(dsquery.dll)
Provides:  mingw64(dssec.dll)
Provides:  mingw64(dssenh.dll)
Provides:  mingw64(dsuiext.dll)
Provides:  mingw64(duser.dll)
Provides:  mingw64(dwmapi.dll)
Provides:  mingw64(dwrite.dll)
Provides:  mingw64(dxdiagn.dll)
Provides:  mingw64(dxgi.dll)
Provides:  mingw64(dxtmsft.dll)
Provides:  mingw64(dxtrans.dll)
Provides:  mingw64(dxva2.dll)
Provides:  mingw64(eappcfg.dll)
Provides:  mingw64(eapphost.dll)
Provides:  mingw64(eappprxy.dll)
Provides:  mingw64(efsadu.dll)
Provides:  mingw64(els.dll)
Provides:  mingw64(encapi.dll)
Provides:  mingw64(ersvc.dll)
Provides:  mingw64(es.dll)
Provides:  mingw64(esent.dll)
Provides:  mingw64(esentprf.dll)
Provides:  mingw64(esscli.dll)
Provides:  mingw64(eventcls.dll)
Provides:  mingw64(eventlog.dll)
Provides:  mingw64(evntrprv.dll)
Provides:  mingw64(evr.dll)
Provides:  mingw64(evtgprov.dll)
Provides:  mingw64(exports.dll)
Provides:  mingw64(exprfdll.dll)
Provides:  mingw64(exstrace.dll)
Provides:  mingw64(extmgr.dll)
Provides:  mingw64(f3ahvoas.dll)
Provides:  mingw64(fastprox.dll)
Provides:  mingw64(faultrep.dll)
Provides:  mingw64(fcachdll.dll)
Provides:  mingw64(fde.dll)
Provides:  mingw64(fdeploy.dll)
Provides:  mingw64(feclient.dll)
Provides:  mingw64(filemgmt.dll)
Provides:  mingw64(fldrclnr.dll)
Provides:  mingw64(fltlib.dll)
Provides:  mingw64(fmifs.dll)
Provides:  mingw64(fontext.dll)
Provides:  mingw64(fontsub.dll)
Provides:  mingw64(framedyn.dll)
Provides:  mingw64(fsusd.dll)
Provides:  mingw64(ftpctrs2.dll)
Provides:  mingw64(ftpmib.dll)
Provides:  mingw64(ftpsvc2.dll)
Provides:  mingw64(fwcfg.dll)
Provides:  mingw64(fwpuclnt.dll)
Provides:  mingw64(fx.dll)
Provides:  mingw64(fxsapi.dll)
Provides:  mingw64(fxscfgwz.dll)
Provides:  mingw64(fxscom.dll)
Provides:  mingw64(fxscomex.dll)
Provides:  mingw64(fxsdrv.dll)
Provides:  mingw64(fxsmon.dll)
Provides:  mingw64(fxsocm.dll)
Provides:  mingw64(fxsperf.dll)
Provides:  mingw64(fxsroute.dll)
Provides:  mingw64(fxsst.dll)
Provides:  mingw64(fxst30.dll)
Provides:  mingw64(fxstiff.dll)
Provides:  mingw64(fxsui.dll)
Provides:  mingw64(fxswzrd.dll)
Provides:  mingw64(gcdef.dll)
Provides:  mingw64(gdi32.dll)
Provides:  mingw64(gdiplus.dll)
Provides:  mingw64(genericui.dll)
Provides:  mingw64(getuname.dll)
Provides:  mingw64(glmf32.dll)
Provides:  mingw64(glu32.dll)
Provides:  mingw64(gpedit.dll)
Provides:  mingw64(gpkcsp.dll)
Provides:  mingw64(gptext.dll)
Provides:  mingw64(guitrn.dll)
Provides:  mingw64(gzip.dll)
Provides:  mingw64(h323msp.dll)
Provides:  mingw64(hal.dll)
Provides:  mingw64(hbaapi.dll)
Provides:  mingw64(hgfs.dll)
Provides:  mingw64(hhsetup.dll)
Provides:  mingw64(hid.dll)
Provides:  mingw64(hidclass.sys)
Provides:  mingw64(hidparse.sys)
Provides:  mingw64(hlink.dll)
Provides:  mingw64(hmmapi.dll)
Provides:  mingw64(hnetcfg.dll)
Provides:  mingw64(hnetmon.dll)
Provides:  mingw64(hnetwiz.dll)
Provides:  mingw64(hostmib.dll)
Provides:  mingw64(hotplug.dll)
Provides:  mingw64(hticons.dll)
Provides:  mingw64(htrn_jis.dll)
Provides:  mingw64(httpapi.dll)
Provides:  mingw64(httpext.dll)
Provides:  mingw64(httpmib.dll)
Provides:  mingw64(httpodbc.dll)
Provides:  mingw64(htui.dll)
Provides:  mingw64(hypertrm.dll)
Provides:  mingw64(iasacct.dll)
Provides:  mingw64(iasads.dll)
Provides:  mingw64(iashlpr.dll)
Provides:  mingw64(iasnap.dll)
Provides:  mingw64(iaspolcy.dll)
Provides:  mingw64(iasrad.dll)
Provides:  mingw64(iassam.dll)
Provides:  mingw64(iassdo.dll)
Provides:  mingw64(iassvcs.dll)
Provides:  mingw64(icaapi.dll)
Provides:  mingw64(icfgnt.dll)
Provides:  mingw64(icm32.dll)
Provides:  mingw64(icmp.dll)
Provides:  mingw64(icmui.dll)
Provides:  mingw64(icwconn.dll)
Provides:  mingw64(icwdl.dll)
Provides:  mingw64(icwhelp.dll)
Provides:  mingw64(icwphbk.dll)
Provides:  mingw64(icwutil.dll)
Provides:  mingw64(idq.dll)
Provides:  mingw64(ieakeng.dll)
Provides:  mingw64(ieaksie.dll)
Provides:  mingw64(iedkcs32.dll)
Provides:  mingw64(iepeers.dll)
Provides:  mingw64(iernonce.dll)
Provides:  mingw64(iesetup.dll)
Provides:  mingw64(ifmon.dll)
Provides:  mingw64(ifsutil.dll)
Provides:  mingw64(igmpagnt.dll)
Provides:  mingw64(iis.dll)
Provides:  mingw64(iisadmin.dll)
Provides:  mingw64(iiscfg.dll)
Provides:  mingw64(iisclex4.dll)
Provides:  mingw64(iisext.dll)
Provides:  mingw64(iislog.dll)
Provides:  mingw64(iismap.dll)
Provides:  mingw64(iisprov.dll)
Provides:  mingw64(iisrstap.dll)
Provides:  mingw64(iisrtl.dll)
Provides:  mingw64(iisui.dll)
Provides:  mingw64(iisuiobj.dll)
Provides:  mingw64(iisutil.dll)
Provides:  mingw64(iisw3adm.dll)
Provides:  mingw64(imagehlp.dll)
Provides:  mingw64(imedic.dll)
Provides:  mingw64(imejpcus.dll)
Provides:  mingw64(imekrcic.dll)
Provides:  mingw64(imeshare.dll)
Provides:  mingw64(imeskdic.dll)
Provides:  mingw64(imeskf.dll)
Provides:  mingw64(imgutil.dll)
Provides:  mingw64(imjp81k.dll)
Provides:  mingw64(imjputyc.dll)
Provides:  mingw64(imm32.dll)
Provides:  mingw64(imsinsnt.dll)
Provides:  mingw64(inetcfg.dll)
Provides:  mingw64(inetcomm.dll)
Provides:  mingw64(inetmgr.dll)
Provides:  mingw64(inetmib1.dll)
Provides:  mingw64(inetpp.dll)
Provides:  mingw64(inetppui.dll)
Provides:  mingw64(infoadmn.dll)
Provides:  mingw64(infocomm.dll)
Provides:  mingw64(infoctrs.dll)
Provides:  mingw64(infosoft.dll)
Provides:  mingw64(initpki.dll)
Provides:  mingw64(input.dll)
Provides:  mingw64(inseng.dll)
Provides:  mingw64(iphlpapi.dll)
Provides:  mingw64(ipmontr.dll)
Provides:  mingw64(ipnathlp.dll)
Provides:  mingw64(ippromon.dll)
Provides:  mingw64(iprip.dll)
Provides:  mingw64(iprop.dll)
Provides:  mingw64(iprtprio.dll)
Provides:  mingw64(iprtrmgr.dll)
Provides:  mingw64(ipsecsnp.dll)
Provides:  mingw64(ipsecspd.dll)
Provides:  mingw64(ipsmsnap.dll)
Provides:  mingw64(ipv6mon.dll)
Provides:  mingw64(ipxsap.dll)
Provides:  mingw64(irclass.dll)
Provides:  mingw64(isapips.dll)
Provides:  mingw64(isapitst.dll)
Provides:  mingw64(isatq.dll)
Provides:  mingw64(iscomlog.dll)
Provides:  mingw64(iscsidsc.dll)
Provides:  mingw64(isignup2.dll)
Provides:  mingw64(itlocal.dll)
Provides:  mingw64(itss.dll)
Provides:  mingw64(ixsso.dll)
Provides:  mingw64(iyuv_32.dll)
Provides:  mingw64(jet500.dll)
Provides:  mingw64(jscript.dll)
Provides:  mingw64(jsproxy.dll)
Provides:  mingw64(kbd101.dll)
Provides:  mingw64(kbd101a.dll)
Provides:  mingw64(kbd101b.dll)
Provides:  mingw64(kbd101c.dll)
Provides:  mingw64(kbd103.dll)
Provides:  mingw64(kbd106.dll)
Provides:  mingw64(kbd106n.dll)
Provides:  mingw64(kbda1.dll)
Provides:  mingw64(kbda2.dll)
Provides:  mingw64(kbda3.dll)
Provides:  mingw64(kbdal.dll)
Provides:  mingw64(kbdarme.dll)
Provides:  mingw64(kbdarmw.dll)
Provides:  mingw64(kbdax2.dll)
Provides:  mingw64(kbdaze.dll)
Provides:  mingw64(kbdazel.dll)
Provides:  mingw64(kbdbe.dll)
Provides:  mingw64(kbdbene.dll)
Provides:  mingw64(kbdblr.dll)
Provides:  mingw64(kbdbr.dll)
Provides:  mingw64(kbdbu.dll)
Provides:  mingw64(kbdca.dll)
Provides:  mingw64(kbdcan.dll)
Provides:  mingw64(kbdcr.dll)
Provides:  mingw64(kbdcz.dll)
Provides:  mingw64(kbdcz1.dll)
Provides:  mingw64(kbdcz2.dll)
Provides:  mingw64(kbdda.dll)
Provides:  mingw64(kbddiv1.dll)
Provides:  mingw64(kbddiv2.dll)
Provides:  mingw64(kbddv.dll)
Provides:  mingw64(kbdes.dll)
Provides:  mingw64(kbdest.dll)
Provides:  mingw64(kbdfa.dll)
Provides:  mingw64(kbdfc.dll)
Provides:  mingw64(kbdfi.dll)
Provides:  mingw64(kbdfo.dll)
Provides:  mingw64(kbdfr.dll)
Provides:  mingw64(kbdgae.dll)
Provides:  mingw64(kbdgeo.dll)
Provides:  mingw64(kbdgkl.dll)
Provides:  mingw64(kbdgr.dll)
Provides:  mingw64(kbdgr1.dll)
Provides:  mingw64(kbdhe.dll)
Provides:  mingw64(kbdhe220.dll)
Provides:  mingw64(kbdhe319.dll)
Provides:  mingw64(kbdheb.dll)
Provides:  mingw64(kbdhela2.dll)
Provides:  mingw64(kbdhela3.dll)
Provides:  mingw64(kbdhept.dll)
Provides:  mingw64(kbdhu.dll)
Provides:  mingw64(kbdhu1.dll)
Provides:  mingw64(kbdibm02.dll)
Provides:  mingw64(kbdic.dll)
Provides:  mingw64(kbdindev.dll)
Provides:  mingw64(kbdinguj.dll)
Provides:  mingw64(kbdinhin.dll)
Provides:  mingw64(kbdinkan.dll)
Provides:  mingw64(kbdinmar.dll)
Provides:  mingw64(kbdinpun.dll)
Provides:  mingw64(kbdintam.dll)
Provides:  mingw64(kbdintel.dll)
Provides:  mingw64(kbdir.dll)
Provides:  mingw64(kbdit.dll)
Provides:  mingw64(kbdit142.dll)
Provides:  mingw64(kbdkaz.dll)
Provides:  mingw64(kbdkor.dll)
Provides:  mingw64(kbdkyr.dll)
Provides:  mingw64(kbdla.dll)
Provides:  mingw64(kbdlayout.dll)
Provides:  mingw64(kbdlk41a.dll)
Provides:  mingw64(kbdlk41j.dll)
Provides:  mingw64(kbdlt.dll)
Provides:  mingw64(kbdlt1.dll)
Provides:  mingw64(kbdlv.dll)
Provides:  mingw64(kbdlv1.dll)
Provides:  mingw64(kbdmac.dll)
Provides:  mingw64(kbdmon.dll)
Provides:  mingw64(kbdne.dll)
Provides:  mingw64(kbdnec.dll)
Provides:  mingw64(kbdnec95.dll)
Provides:  mingw64(kbdnecat.dll)
Provides:  mingw64(kbdnecnt.dll)
Provides:  mingw64(kbdno.dll)
Provides:  mingw64(kbdpl.dll)
Provides:  mingw64(kbdpl1.dll)
Provides:  mingw64(kbdpo.dll)
Provides:  mingw64(kbdro.dll)
Provides:  mingw64(kbdru.dll)
Provides:  mingw64(kbdru1.dll)
Provides:  mingw64(kbdsf.dll)
Provides:  mingw64(kbdsg.dll)
Provides:  mingw64(kbdsl.dll)
Provides:  mingw64(kbdsl1.dll)
Provides:  mingw64(kbdsp.dll)
Provides:  mingw64(kbdsw.dll)
Provides:  mingw64(kbdsyr1.dll)
Provides:  mingw64(kbdsyr2.dll)
Provides:  mingw64(kbdtat.dll)
Provides:  mingw64(kbdth0.dll)
Provides:  mingw64(kbdth1.dll)
Provides:  mingw64(kbdth2.dll)
Provides:  mingw64(kbdth3.dll)
Provides:  mingw64(kbdtuf.dll)
Provides:  mingw64(kbdtuq.dll)
Provides:  mingw64(kbduk.dll)
Provides:  mingw64(kbdur.dll)
Provides:  mingw64(kbdurdu.dll)
Provides:  mingw64(kbdus.dll)
Provides:  mingw64(kbdusa.dll)
Provides:  mingw64(kbdusl.dll)
Provides:  mingw64(kbdusr.dll)
Provides:  mingw64(kbdusx.dll)
Provides:  mingw64(kbduzb.dll)
Provides:  mingw64(kbdvntc.dll)
Provides:  mingw64(kbdycc.dll)
Provides:  mingw64(kbdycl.dll)
Provides:  mingw64(kd1394.dll)
Provides:  mingw64(kdcom.dll)
Provides:  mingw64(kerberos.dll)
Provides:  mingw64(kernel32.dll)
Provides:  mingw64(keymgr.dll)
Provides:  mingw64(korwbrkr.dll)
Provides:  mingw64(krnlprov.dll)
Provides:  mingw64(ks.sys)
Provides:  mingw64(ksuser.dll)
Provides:  mingw64(ktmw32.dll)
Provides:  mingw64(langwrbk.dll)
Provides:  mingw64(licdll.dll)
Provides:  mingw64(licmgr.dll)
Provides:  mingw64(licwmi.dll)
Provides:  mingw64(linkinfo.dll)
Provides:  mingw64(lmhsvc.exe)
Provides:  mingw64(lmmib2.dll)
Provides:  mingw64(lmrt.dll)
Provides:  mingw64(loadperf.dll)
Provides:  mingw64(localsec.dll)
Provides:  mingw64(localspl.dll)
Provides:  mingw64(localui.dll)
Provides:  mingw64(log.dll)
Provides:  mingw64(loghours.dll)
Provides:  mingw64(logscript.dll)
Provides:  mingw64(lonsint.dll)
Provides:  mingw64(lpdsvc.dll)
Provides:  mingw64(lpk.dll)
Provides:  mingw64(lprhelp.dll)
Provides:  mingw64(lprmon.dll)
Provides:  mingw64(lprui.dll)
Provides:  mingw64(lsasrv.dll)
Provides:  mingw64(lz32.dll)
Provides:  mingw64(mag_hook.dll)
Provides:  mingw64(mailmsg.dll)
Provides:  mingw64(mapi32.dll)
Provides:  mingw64(marscore.dll)
Provides:  mingw64(mcastmib.dll)
Provides:  mingw64(mcd32.dll)
Provides:  mingw64(mcdsrv32.dll)
Provides:  mingw64(mchgrcoi.dll)
Provides:  mingw64(mciavi32.dll)
Provides:  mingw64(mcicda.dll)
Provides:  mingw64(mciole32.dll)
Provides:  mingw64(mciqtz32.dll)
Provides:  mingw64(mciseq.dll)
Provides:  mingw64(mciwave.dll)
Provides:  mingw64(mdhcp.dll)
Provides:  mingw64(mdminst.dll)
Provides:  mingw64(metadata.dll)
Provides:  mingw64(mf.dll)
Provides:  mingw64(mf3216.dll)
Provides:  mingw64(mfc42.dll)
Provides:  mingw64(mfc42u.dll)
Provides:  mingw64(mfcsubs.dll)
Provides:  mingw64(mfplat.dll)
Provides:  mingw64(mgmtapi.dll)
Provides:  mingw64(midimap.dll)
Provides:  mingw64(migism.dll)
Provides:  mingw64(miglibnt.dll)
Provides:  mingw64(mimefilt.dll)
Provides:  mingw64(mlang.dll)
Provides:  mingw64(mll_hp.dll)
Provides:  mingw64(mll_mtf.dll)
Provides:  mingw64(mll_qic.dll)
Provides:  mingw64(mmcbase.dll)
Provides:  mingw64(mmcndmgr.dll)
Provides:  mingw64(mmcshext.dll)
Provides:  mingw64(mmfutil.dll)
Provides:  mingw64(mmutilse.dll)
Provides:  mingw64(mobsync.dll)
Provides:  mingw64(modemui.dll)
Provides:  mingw64(mofd.dll)
Provides:  mingw64(mpr.dll)
Provides:  mingw64(mprapi.dll)
Provides:  mingw64(mprddm.dll)
Provides:  mingw64(mprdim.dll)
Provides:  mingw64(mprui.dll)
Provides:  mingw64(mqad.dll)
Provides:  mingw64(mqcertui.dll)
Provides:  mingw64(mqdscli.dll)
Provides:  mingw64(mqgentr.dll)
Provides:  mingw64(mqise.dll)
Provides:  mingw64(mqoa.dll)
Provides:  mingw64(mqperf.dll)
Provides:  mingw64(mqqm.dll)
Provides:  mingw64(mqrt.dll)
Provides:  mingw64(mqrtdep.dll)
Provides:  mingw64(mqsec.dll)
Provides:  mingw64(mqsnap.dll)
Provides:  mingw64(mqupgrd.dll)
Provides:  mingw64(mqutil.dll)
Provides:  mingw64(msaatext.dll)
Provides:  mingw64(msacm32.dll)
Provides:  mingw64(msadcs.dll)
Provides:  mingw64(msadds.dll)
Provides:  mingw64(msado15.dll)
Provides:  mingw64(msadomd.dll)
Provides:  mingw64(msador15.dll)
Provides:  mingw64(msadox.dll)
Provides:  mingw64(msadrh15.dll)
Provides:  mingw64(msafd.dll)
Provides:  mingw64(msasn1.dll)
Provides:  mingw64(mscandui.dll)
Provides:  mingw64(mscat32.dll)
Provides:  mingw64(mscms.dll)
Provides:  mingw64(mscoree.dll)
Provides:  mingw64(msctf.dll)
Provides:  mingw64(msctfp.dll)
Provides:  mingw64(msdadiag.dll)
Provides:  mingw64(msdaosp.dll)
Provides:  mingw64(msdaps.dll)
Provides:  mingw64(msdart.dll)
Provides:  mingw64(msdatl3.dll)
Provides:  mingw64(msdfmap.dll)
Provides:  mingw64(msdmo.dll)
Provides:  mingw64(msdrm.dll)
Provides:  mingw64(msdtclog.dll)
Provides:  mingw64(msdtcprx.dll)
Provides:  mingw64(msdtctm.dll)
Provides:  mingw64(msdtcuiu.dll)
Provides:  mingw64(msftedit.dll)
Provides:  mingw64(msgina.dll)
Provides:  mingw64(msgr3en.dll)
Provides:  mingw64(msgsvc.dll)
Provides:  mingw64(mshtml.dll)
Provides:  mingw64(mshtmled.dll)
Provides:  mingw64(msi.dll)
Provides:  mingw64(msident.dll)
Provides:  mingw64(msieftp.dll)
Provides:  mingw64(msihnd.dll)
Provides:  mingw64(msimg32.dll)
Provides:  mingw64(msimtf.dll)
Provides:  mingw64(msinfo32.dll)
Provides:  mingw64(msiprov.dll)
Provides:  mingw64(msir3jp.dll)
Provides:  mingw64(msisip.dll)
Provides:  mingw64(msjtes40.dll)
Provides:  mingw64(mslbui.dll)
Provides:  mingw64(msls31.dll)
Provides:  mingw64(mslwvtts.dll)
Provides:  mingw64(msmqocm.dll)
Provides:  mingw64(msobcomm.dll)
Provides:  mingw64(msobdl.dll)
Provides:  mingw64(msobmain.dll)
Provides:  mingw64(msobshel.dll)
Provides:  mingw64(msobweb.dll)
Provides:  mingw64(msoe.dll)
Provides:  mingw64(msoeacct.dll)
Provides:  mingw64(msoert2.dll)
Provides:  mingw64(mspatcha.dll)
Provides:  mingw64(mspmspsn.dll)
Provides:  mingw64(msports.dll)
Provides:  mingw64(msrating.dll)
Provides:  mingw64(msremote.dll)
Provides:  mingw64(msrle32.dll)
Provides:  mingw64(mssign32.dll)
Provides:  mingw64(mssip32.dll)
Provides:  mingw64(mstask.dll)
Provides:  mingw64(mstime.dll)
Provides:  mingw64(mstlsapi.dll)
Provides:  mingw64(mstscax.dll)
Provides:  mingw64(msutb.dll)
Provides:  mingw64(msv1_0.dll)
Provides:  mingw64(msvcirt.dll)
Provides:  mingw64(msvcp60.dll)
Provides:  mingw64(msvcr100.dll)
Provides:  mingw64(msvcr110.dll)
Provides:  mingw64(msvcr80.dll)
Provides:  mingw64(msvcr90.dll)
Provides:  mingw64(msvcr90d.dll)
Provides:  mingw64(msvcrt.dll)
Provides:  mingw64(msvfw32.dll)
Provides:  mingw64(msvidc32.dll)
Provides:  mingw64(msvidctl.dll)
Provides:  mingw64(msw3prt.dll)
Provides:  mingw64(mswsock.dll)
Provides:  mingw64(msxactps.dll)
Provides:  mingw64(msxml3.dll)
Provides:  mingw64(msyuv.dll)
Provides:  mingw64(mtxclu.dll)
Provides:  mingw64(mtxdm.dll)
Provides:  mingw64(mtxex.dll)
Provides:  mingw64(mtxoci.dll)
Provides:  mingw64(mycomput.dll)
Provides:  mingw64(mydocs.dll)
Provides:  mingw64(narrhook.dll)
Provides:  mingw64(navdgf.dll)
Provides:  mingw64(ncobjapi.dll)
Provides:  mingw64(ncprov.dll)
Provides:  mingw64(ncrypt.dll)
Provides:  mingw64(ncxp.dll)
Provides:  mingw64(nddeapi.dll)
Provides:  mingw64(nddenb32.dll)
Provides:  mingw64(ndfapi.dll)
Provides:  mingw64(ndis.sys)
Provides:  mingw64(ndisnpp.dll)
Provides:  mingw64(netapi32.dll)
Provides:  mingw64(netcfgx.dll)
Provides:  mingw64(netid.dll)
Provides:  mingw64(netlogon.dll)
Provides:  mingw64(netman.dll)
Provides:  mingw64(netobjs.dll)
Provides:  mingw64(netoc.dll)
Provides:  mingw64(netplwiz.dll)
Provides:  mingw64(netrap.dll)
Provides:  mingw64(netshell.dll)
Provides:  mingw64(netui0.dll)
Provides:  mingw64(netui1.dll)
Provides:  mingw64(netui2.dll)
Provides:  mingw64(newdev.dll)
Provides:  mingw64(nextlink.dll)
Provides:  mingw64(nlhtml.dll)
Provides:  mingw64(nntpadm.dll)
Provides:  mingw64(nntpapi.dll)
Provides:  mingw64(nntpsnap.dll)
Provides:  mingw64(normaliz.dll)
Provides:  mingw64(npptools.dll)
Provides:  mingw64(nshipsec.dll)
Provides:  mingw64(ntdll.dll)
Provides:  mingw64(ntdsapi.dll)
Provides:  mingw64(ntdsbcli.dll)
Provides:  mingw64(ntdtcsetup.dll)
Provides:  mingw64(ntevt.dll)
Provides:  mingw64(ntfsdrv.dll)
Provides:  mingw64(ntlanman.dll)
Provides:  mingw64(ntlanui.dll)
Provides:  mingw64(ntlsapi.dll)
Provides:  mingw64(ntmarta.dll)
Provides:  mingw64(ntmsapi.dll)
Provides:  mingw64(ntmsdba.dll)
Provides:  mingw64(ntmsevt.dll)
Provides:  mingw64(ntmsmgr.dll)
Provides:  mingw64(ntmssvc.dll)
Provides:  mingw64(ntoc.dll)
Provides:  mingw64(ntoskrnl.exe)
Provides:  mingw64(ntprint.dll)
Provides:  mingw64(ntshrui.dll)
Provides:  mingw64(ntvdm64.dll)
Provides:  mingw64(nwprovau.dll)
Provides:  mingw64(oakley.dll)
Provides:  mingw64(objsel.dll)
Provides:  mingw64(occache.dll)
Provides:  mingw64(ocmanage.dll)
Provides:  mingw64(ocmsn.dll)
Provides:  mingw64(ocsbs.dll)
Provides:  mingw64(odbc32.dll)
Provides:  mingw64(odbc32gt.dll)
Provides:  mingw64(odbcbcp.dll)
Provides:  mingw64(odbcconf.dll)
Provides:  mingw64(odbccp32.dll)
Provides:  mingw64(odbccr32.dll)
Provides:  mingw64(odbctrac.dll)
Provides:  mingw64(oeimport.dll)
Provides:  mingw64(oemiglib.dll)
Provides:  mingw64(offfilt.dll)
Provides:  mingw64(ole32.dll)
Provides:  mingw64(oleacc.dll)
Provides:  mingw64(oleaut32.dll)
Provides:  mingw64(olecli32.dll)
Provides:  mingw64(olecnv32.dll)
Provides:  mingw64(oledb32.dll)
Provides:  mingw64(oledb32r.dll)
Provides:  mingw64(oledlg.dll)
Provides:  mingw64(oleprn.dll)
Provides:  mingw64(olesvr32.dll)
Provides:  mingw64(opengl32.dll)
Provides:  mingw64(osuninst.dll)
Provides:  mingw64(ovprintmondll.dll)
Provides:  mingw64(p2p.dll)
Provides:  mingw64(p2pcollab.dll)
Provides:  mingw64(p2pgraph.dll)
Provides:  mingw64(panmap.dll)
Provides:  mingw64(pautoenr.dll)
Provides:  mingw64(pchsvc.dll)
Provides:  mingw64(pcwum.dll)
Provides:  mingw64(pdh.dll)
Provides:  mingw64(perfctrs.dll)
Provides:  mingw64(perfdisk.dll)
Provides:  mingw64(perfnet.dll)
Provides:  mingw64(perfos.dll)
Provides:  mingw64(perfproc.dll)
Provides:  mingw64(perfts.dll)
Provides:  mingw64(persist.dll)
Provides:  mingw64(photowiz.dll)
Provides:  mingw64(pid.dll)
Provides:  mingw64(pidgen.dll)
Provides:  mingw64(pjlmon.dll)
Provides:  mingw64(pngfilter.dll)
Provides:  mingw64(policman.dll)
Provides:  mingw64(polstore.dll)
Provides:  mingw64(powrprof.dll)
Provides:  mingw64(printui.dll)
Provides:  mingw64(profmap.dll)
Provides:  mingw64(proppage.dll)
Provides:  mingw64(provthrd.dll)
Provides:  mingw64(ps.dll)
Provides:  mingw64(ps5ui.dll)
Provides:  mingw64(psapi.dll)
Provides:  mingw64(psbase.dll)
Provides:  mingw64(pschdprf.dll)
Provides:  mingw64(pscript5.dll)
Provides:  mingw64(psnppagn.dll)
Provides:  mingw64(pstorec.dll)
Provides:  mingw64(pstorsvc.dll)
Provides:  mingw64(qasf.dll)
Provides:  mingw64(qcap.dll)
Provides:  mingw64(qdv.dll)
Provides:  mingw64(qdvd.dll)
Provides:  mingw64(qedit.dll)
Provides:  mingw64(qmgr.dll)
Provides:  mingw64(qmgrprxy.dll)
Provides:  mingw64(qosname.dll)
Provides:  mingw64(quartz.dll)
Provides:  mingw64(query.dll)
Provides:  mingw64(qutil.dll)
Provides:  mingw64(qwave.dll)
Provides:  mingw64(rasadhlp.dll)
Provides:  mingw64(rasapi32.dll)
Provides:  mingw64(rasauto.dll)
Provides:  mingw64(raschap.dll)
Provides:  mingw64(rasctrs.dll)
Provides:  mingw64(rasdlg.dll)
Provides:  mingw64(rasman.dll)
Provides:  mingw64(rasmans.dll)
Provides:  mingw64(rasmontr.dll)
Provides:  mingw64(rasmxs.dll)
Provides:  mingw64(rasppp.dll)
Provides:  mingw64(rasrad.dll)
Provides:  mingw64(rassapi.dll)
Provides:  mingw64(rasser.dll)
Provides:  mingw64(rassistance.dll)
Provides:  mingw64(rastapi.dll)
Provides:  mingw64(rastls.dll)
Provides:  mingw64(rcbdyctl.dll)
Provides:  mingw64(rdchost.dll)
Provides:  mingw64(rdpcfgex.dll)
Provides:  mingw64(rdpsnd.dll)
Provides:  mingw64(rdpwsx.dll)
Provides:  mingw64(regapi.dll)
Provides:  mingw64(regsvc.dll)
Provides:  mingw64(regwizctrl.dll)
Provides:  mingw64(remotepage.dll)
Provides:  mingw64(rend.dll)
Provides:  mingw64(resutils.dll)
Provides:  mingw64(riched20.dll)
Provides:  mingw64(rnr20.dll)
Provides:  mingw64(routemsg.dll)
Provides:  mingw64(routetab.dll)
Provides:  mingw64(rpcdiag.dll)
Provides:  mingw64(rpchttp.dll)
Provides:  mingw64(rpcns4.dll)
Provides:  mingw64(rpcnsh.dll)
Provides:  mingw64(rpcref.dll)
Provides:  mingw64(rpcrt4.dll)
Provides:  mingw64(rpcss.dll)
Provides:  mingw64(rsaenh.dll)
Provides:  mingw64(rshx32.dll)
Provides:  mingw64(rsmps.dll)
Provides:  mingw64(rstrtmgr.dll)
Provides:  mingw64(rtm.dll)
Provides:  mingw64(rtutils.dll)
Provides:  mingw64(rwnh.dll)
Provides:  mingw64(safrcfiledlg.dll)
Provides:  mingw64(safrdm.dll)
Provides:  mingw64(safrslv.dll)
Provides:  mingw64(samlib.dll)
Provides:  mingw64(samsrv.dll)
Provides:  mingw64(sapi.dll)
Provides:  mingw64(scarddlg.dll)
Provides:  mingw64(sccbase.dll)
Provides:  mingw64(sccsccp.dll)
Provides:  mingw64(scecli.dll)
Provides:  mingw64(scesrv.dll)
Provides:  mingw64(schannel.dll)
Provides:  mingw64(schedsvc.dll)
Provides:  mingw64(sclgntfy.dll)
Provides:  mingw64(scredir.dll)
Provides:  mingw64(script.dll)
Provides:  mingw64(scripto.dll)
Provides:  mingw64(scriptpw.dll)
Provides:  mingw64(scrobj.dll)
Provides:  mingw64(scrptutl.dll)
Provides:  mingw64(scrrun.dll)
Provides:  mingw64(sdhcinst.dll)
Provides:  mingw64(sdpblb.dll)
Provides:  mingw64(seclogon.dll)
Provides:  mingw64(secur32.dll)
Provides:  mingw64(security.dll)
Provides:  mingw64(sendcmsg.dll)
Provides:  mingw64(sendmail.dll)
Provides:  mingw64(sens.dll)
Provides:  mingw64(sensapi.dll)
Provides:  mingw64(senscfg.dll)
Provides:  mingw64(seo.dll)
Provides:  mingw64(seos.dll)
Provides:  mingw64(serialui.dll)
Provides:  mingw64(servdeps.dll)
Provides:  mingw64(serwvdrv.dll)
Provides:  mingw64(setupapi.dll)
Provides:  mingw64(setupqry.dll)
Provides:  mingw64(sfc.dll)
Provides:  mingw64(sfc_os.dll)
Provides:  mingw64(sfcfiles.dll)
Provides:  mingw64(sfilter2.dll)
Provides:  mingw64(sfmapi.dll)
Provides:  mingw64(shdocvw.dll)
Provides:  mingw64(shell32.dll)
Provides:  mingw64(shfolder.dll)
Provides:  mingw64(shgina.dll)
Provides:  mingw64(shimeng.dll)
Provides:  mingw64(shimgvw.dll)
Provides:  mingw64(shlwapi.dll)
Provides:  mingw64(shmedia.dll)
Provides:  mingw64(shscrap.dll)
Provides:  mingw64(shsvcs.dll)
Provides:  mingw64(sigtab.dll)
Provides:  mingw64(simptcp.exe)
Provides:  mingw64(simx.dll)
Provides:  mingw64(sisbkup.dll)
Provides:  mingw64(skdll.dll)
Provides:  mingw64(slayerxp.dll)
Provides:  mingw64(slbcsp.dll)
Provides:  mingw64(slbiop.dll)
Provides:  mingw64(slc.dll)
Provides:  mingw64(slcext.dll)
Provides:  mingw64(slwga.dll)
Provides:  mingw64(smlogcfg.dll)
Provides:  mingw64(smtpadm.dll)
Provides:  mingw64(smtpapi.dll)
Provides:  mingw64(smtpcons.dll)
Provides:  mingw64(smtpctrs.dll)
Provides:  mingw64(smtpsnap.dll)
Provides:  mingw64(smtpsvc.dll)
Provides:  mingw64(snapin.dll)
Provides:  mingw64(sniffpol.dll)
Provides:  mingw64(snmpapi.dll)
Provides:  mingw64(snmpcl.dll)
Provides:  mingw64(snmpelea.dll)
Provides:  mingw64(snmpincl.dll)
Provides:  mingw64(snmpmib.exe)
Provides:  mingw64(snmpsmir.dll)
Provides:  mingw64(snmpsnap.dll)
Provides:  mingw64(snmpstup.dll)
Provides:  mingw64(snmpthrd.dll)
Provides:  mingw64(softpub.dll)
Provides:  mingw64(spcommon.dll)
Provides:  mingw64(spoolss.dll)
Provides:  mingw64(sptip.dll)
Provides:  mingw64(spttseng.dll)
Provides:  mingw64(sqlsrv32.dll)
Provides:  mingw64(sqlxmlx.dll)
Provides:  mingw64(srchctls.dll)
Provides:  mingw64(srchui.dll)
Provides:  mingw64(srclient.dll)
Provides:  mingw64(srrstr.dll)
Provides:  mingw64(srsvc.dll)
Provides:  mingw64(srvsvc.dll)
Provides:  mingw64(ssdpapi.dll)
Provides:  mingw64(ssdpsrv.dll)
Provides:  mingw64(ssinc.dll)
Provides:  mingw64(sspicli.dll)
Provides:  mingw64(sstub.dll)
Provides:  mingw64(staxmem.dll)
Provides:  mingw64(stclient.dll)
Provides:  mingw64(stdprov.dll)
Provides:  mingw64(sti.dll)
Provides:  mingw64(sti_ci.dll)
Provides:  mingw64(stobject.dll)
Provides:  mingw64(streamci.dll)
Provides:  mingw64(strmfilt.dll)
Provides:  mingw64(subauth.dll)
Provides:  mingw64(svcext.dll)
Provides:  mingw64(svcpack.dll)
Provides:  mingw64(sweeprx.dll)
Provides:  mingw64(swprv.dll)
Provides:  mingw64(sxs.dll)
Provides:  mingw64(synceng.dll)
Provides:  mingw64(syncui.dll)
Provides:  mingw64(sysinv.dll)
Provides:  mingw64(sysmod.dll)
Provides:  mingw64(syssetup.dll)
Provides:  mingw64(t2embed.dll)
Provides:  mingw64(tapi3.dll)
Provides:  mingw64(tapi32.dll)
Provides:  mingw64(tapiperf.dll)
Provides:  mingw64(tapisrv.dll)
Provides:  mingw64(tbs.dll)
Provides:  mingw64(tcpmib.dll)
Provides:  mingw64(tcpmon.dll)
Provides:  mingw64(tcpmonui.dll)
Provides:  mingw64(tdh.dll)
Provides:  mingw64(termmgr.dll)
Provides:  mingw64(termsrv.dll)
Provides:  mingw64(thawbrkr.dll)
Provides:  mingw64(themeui.dll)
Provides:  mingw64(tlntsvrps.dll)
Provides:  mingw64(traffic.dll)
Provides:  mingw64(trialoc.dll)
Provides:  mingw64(trigobjs.dll)
Provides:  mingw64(trkwks.dll)
Provides:  mingw64(tsappcmp.dll)
Provides:  mingw64(tsbyuv.dll)
Provides:  mingw64(tscfgwmi.dll)
Provides:  mingw64(tsd32.dll)
Provides:  mingw64(tshoot.dll)
Provides:  mingw64(tsoc.dll)
Provides:  mingw64(twext.dll)
Provides:  mingw64(txflogdll.dll)
Provides:  mingw64(txfw32.dll)
Provides:  mingw64(ufat.dll)
Provides:  mingw64(uihelper.dll)
Provides:  mingw64(ulib.dll)
Provides:  mingw64(umandlg.dll)
Provides:  mingw64(umdmxfrm.dll)
Provides:  mingw64(umpnpmgr.dll)
Provides:  mingw64(unidrv.dll)
Provides:  mingw64(unidrvui.dll)
Provides:  mingw64(uniime.dll)
Provides:  mingw64(unimdmat.dll)
Provides:  mingw64(uniplat.dll)
Provides:  mingw64(untfs.dll)
Provides:  mingw64(upnp.dll)
Provides:  mingw64(upnphost.dll)
Provides:  mingw64(upnpui.dll)
Provides:  mingw64(ureg.dll)
Provides:  mingw64(url.dll)
Provides:  mingw64(urlauth.dll)
Provides:  mingw64(urlmon.dll)
Provides:  mingw64(usbcamd2.sys)
Provides:  mingw64(usbd.sys)
Provides:  mingw64(usbmon.dll)
Provides:  mingw64(usbport.sys)
Provides:  mingw64(user32.dll)
Provides:  mingw64(userenv.dll)
Provides:  mingw64(usp10.dll)
Provides:  mingw64(utildll.dll)
Provides:  mingw64(uxtheme.dll)
Provides:  mingw64(vbscript.dll)
Provides:  mingw64(vds_ps.dll)
Provides:  mingw64(vdsdyndr.dll)
Provides:  mingw64(vdsutil.dll)
Provides:  mingw64(vdswmi.dll)
Provides:  mingw64(verifier.dll)
Provides:  mingw64(version.dll)
Provides:  mingw64(vgx.dll)
Provides:  mingw64(viewprov.dll)
Provides:  mingw64(vmx_mode.dll)
Provides:  mingw64(vss_ps.dll)
Provides:  mingw64(vssapi.dll)
Provides:  mingw64(vsstrace.dll)
Provides:  mingw64(vsswmi.dll)
Provides:  mingw64(w32time.dll)
Provides:  mingw64(w32topl.dll)
Provides:  mingw64(w3cache.dll)
Provides:  mingw64(w3comlog.dll)
Provides:  mingw64(w3core.dll)
Provides:  mingw64(w3ctrlps.dll)
Provides:  mingw64(w3ctrs.dll)
Provides:  mingw64(w3dt.dll)
Provides:  mingw64(w3ext.dll)
Provides:  mingw64(w3isapi.dll)
Provides:  mingw64(w3ssl.dll)
Provides:  mingw64(w3tp.dll)
Provides:  mingw64(wab32.dll)
Provides:  mingw64(wabimp.dll)
Provides:  mingw64(wamreg.dll)
Provides:  mingw64(wamregps.dll)
Provides:  mingw64(wbemcore.dll)
Provides:  mingw64(wbemupgd.dll)
Provides:  mingw64(wdigest.dll)
Provides:  mingw64(wdmaud.drv)
Provides:  mingw64(wdsclient.dll)
Provides:  mingw64(wdsclientapi.dll)
Provides:  mingw64(wdscore.dll)
Provides:  mingw64(wdscsl.dll)
Provides:  mingw64(wdsimage.dll)
Provides:  mingw64(wdstptc.dll)
Provides:  mingw64(wdsupgcompl.dll)
Provides:  mingw64(wdsutil.dll)
Provides:  mingw64(webcheck.dll)
Provides:  mingw64(webclnt.dll)
Provides:  mingw64(webhits.dll)
Provides:  mingw64(wecapi.dll)
Provides:  mingw64(wer.dll)
Provides:  mingw64(wevtapi.dll)
Provides:  mingw64(wevtfwd.dll)
Provides:  mingw64(wiadss.dll)
Provides:  mingw64(wiarpc.dll)
Provides:  mingw64(wiaservc.dll)
Provides:  mingw64(wiashext.dll)
Provides:  mingw64(win32spl.dll)
Provides:  mingw64(winfax.dll)
Provides:  mingw64(winhttp.dll)
Provides:  mingw64(wininet.dll)
Provides:  mingw64(winipsec.dll)
Provides:  mingw64(winmm.dll)
Provides:  mingw64(winrnr.dll)
Provides:  mingw64(winscard.dll)
Provides:  mingw64(winspool.drv)
Provides:  mingw64(winsrv.dll)
Provides:  mingw64(winsta.dll)
Provides:  mingw64(wintrust.dll)
Provides:  mingw64(winusb.dll)
Provides:  mingw64(wkssvc.dll)
Provides:  mingw64(wlanapi.dll)
Provides:  mingw64(wlanui.dll)
Provides:  mingw64(wlanutil.dll)
Provides:  mingw64(wldap32.dll)
Provides:  mingw64(wlnotify.dll)
Provides:  mingw64(wlstore.dll)
Provides:  mingw64(wmi.dll)
Provides:  mingw64(wmi2xml.dll)
Provides:  mingw64(wmiaprpl.dll)
Provides:  mingw64(wmiprop.dll)
Provides:  mingw64(wmisvc.dll)
Provides:  mingw64(wow64.dll)
Provides:  mingw64(wow64cpu.dll)
Provides:  mingw64(wow64mib.dll)
Provides:  mingw64(wow64win.dll)
Provides:  mingw64(wpd_ci.dll)
Provides:  mingw64(ws2_32.dll)
Provides:  mingw64(ws2help.dll)
Provides:  mingw64(wscsvc.dll)
Provides:  mingw64(wsdapi.dll)
Provides:  mingw64(wshatm.dll)
Provides:  mingw64(wshbth.dll)
Provides:  mingw64(wshcon.dll)
Provides:  mingw64(wsock32.dll)
Provides:  mingw64(wtsapi32.dll)
Provides:  mingw64(x3daudio1_2.dll)
Provides:  mingw64(x3daudio1_3.dll)
Provides:  mingw64(x3daudio1_4.dll)
Provides:  mingw64(x3daudio1_5.dll)
Provides:  mingw64(x3daudio1_6.dll)
Provides:  mingw64(x3daudio1_7.dll)
Provides:  mingw64(x3daudiod1_7.dll)
Provides:  mingw64(xapofx1_0.dll)
Provides:  mingw64(xapofx1_1.dll)
Provides:  mingw64(xapofx1_2.dll)
Provides:  mingw64(xapofx1_3.dll)
Provides:  mingw64(xapofx1_4.dll)
Provides:  mingw64(xapofx1_5.dll)
Provides:  mingw64(xapofxd1_5.dll)
Provides:  mingw64(xaudio2.dll)
Provides:  mingw64(xfiles.dll)
Provides:  mingw64(xinput1_1.dll)
Provides:  mingw64(xinput1_2.dll)
Provides:  mingw64(xinput1_3.dll)
Provides:  mingw64(zoneoc.dll)
Provides:  mingw64(mscoree.dll)

%description -n mingw64-filesystem
This package contains the base filesystem layout, RPM macros and
environment for all Fedora MinGW packages.

This environment is maintained by the Fedora MinGW SIG at:

  http://fedoraproject.org/wiki/SIGs/MinGW


%prep
%setup -q -c -T
cp %{SOURCE0} COPYING


%build
# nothing


%install
mkdir -p $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT%{_libexecdir}/mingw-scripts

mkdir -p $RPM_BUILD_ROOT%{_bindir}
pushd $RPM_BUILD_ROOT%{_bindir}
for i in mingw32-configure mingw32-cmake mingw32-make mingw32-pkg-config \
         mingw64-configure mingw64-cmake mingw64-make mingw64-pkg-config ; do
  ln -s %{_libexecdir}/mingw-scripts $i
done
popd

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/

mkdir -p $RPM_BUILD_ROOT%{macrosdir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{macrosdir}/macros.mingw
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{macrosdir}/macros.mingw32
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{macrosdir}/macros.mingw64

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpmlint
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/rpmlint/

# Create the folders required for gcc and binutils
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/lib
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/lib

# The MinGW system root which will contain Windows native binaries
# and Windows-specific header files, pkgconfig, etc.
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/etc
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/include
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/include/sys
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/lib
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/lib/cmake
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/sbin

mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/etc
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/include
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/include
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/lib
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/lib/cmake
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/sbin

# We don't normally package manual pages and info files, except
# where those are not supplied by a Fedora native package.  So we
# need to create the directories.
#
# Note that some packages try to install stuff in
#   /usr/x86_64-pc-mingw32/sys-root/man and
#   /usr/x86_64-pc-mingw32/sys-root/doc
# but those are both packaging bugs.
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/doc
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/info
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/man
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/man/man{1,2,3,4,5,6,7,8,l,n}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/aclocal
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/themes
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/cmake
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/locale
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_prefix}/i686-w64-mingw32/sys-root/mingw/share/xml

mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/doc
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/info
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/man
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/man/man{1,2,3,4,5,6,7,8,l,n}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/aclocal
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/themes
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/cmake
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/locale
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/pkgconfig
mkdir -p $RPM_BUILD_ROOT%{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/xml

# Own folders for all locales
# Snippet taken from the Fedora filesystem package
sed -n -f %{SOURCE102} /usr/share/xml/iso-codes/iso_639.xml > $RPM_BUILD_ROOT/iso_639.tab
sed -n -f %{SOURCE103} /usr/share/xml/iso-codes/iso_3166.xml > $RPM_BUILD_ROOT/iso_3166.tab

grep -v "^$" $RPM_BUILD_ROOT/iso_639.tab | grep -v "^#" | while read a b c d ; do
    [[ "$d" =~ "^Reserved" ]] && continue
    [[ "$d" =~ "^No linguistic" ]] && continue

    locale=$c
    if [ "$locale" = "XX" ]; then
        locale=$b
    fi
    echo "%lang(${locale}) %{_prefix}/i686-w64-mingw32/sys-root/mingw/share/locale/${locale}" >> filelist_mingw32
    echo "%lang(${locale}) %{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/locale/${locale}" >> filelist_mingw64
done

cat %{SOURCE101} | grep -v "^#" | grep -v "^$" | while read loc ; do
    locale=$loc
    locality=
    special=
    [[ "$locale" =~ "@" ]] && locale=${locale%%%%@*}
    [[ "$locale" =~ "_" ]] && locality=${locale##*_}
    [[ "$locality" =~ "." ]] && locality=${locality%%%%.*}
    [[ "$loc" =~ "_" ]] || [[ "$loc" =~ "@" ]] || special=$loc

    # If the locality is not official, skip it
    if [ -n "$locality" ]; then
        grep -q "^$locality" $RPM_BUILD_ROOT/iso_3166.tab || continue
    fi
    # If the locale is not official and not special, skip it
    if [ -z "$special" ]; then
        egrep -q "[[:space:]]${locale%%_*}[[:space:]]" $RPM_BUILD_ROOT/iso_639.tab || continue
    fi
    echo "%lang(${locale}) %{_prefix}/i686-w64-mingw32/sys-root/mingw/share/locale/${loc}" >> filelist_mingw32
    echo "%lang(${locale}) %{_prefix}/x86_64-w64-mingw32/sys-root/mingw/share/locale/${loc}" >> filelist_mingw64
done

rm -f $RPM_BUILD_ROOT/iso_639.tab
rm -f $RPM_BUILD_ROOT/iso_3166.tab

cat filelist_mingw32 filelist_mingw64 | grep "locale" | while read a b ; do
    mkdir -p -m 755 %{buildroot}/$b/LC_MESSAGES
done

# NB. NOT _libdir
mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm
install -m 0755 %{SOURCE6} $RPM_BUILD_ROOT%{_rpmconfigdir}
install -m 0755 %{SOURCE7} $RPM_BUILD_ROOT%{_rpmconfigdir}
install -m 0755 %{SOURCE8} $RPM_BUILD_ROOT%{_rpmconfigdir}
install -m 0755 %{SOURCE13} $RPM_BUILD_ROOT%{_rpmconfigdir}

mkdir -p $RPM_BUILD_ROOT/usr/lib/rpm/fileattrs
install -m 0644 %{SOURCE14} $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs/
install -m 0644 %{SOURCE15} $RPM_BUILD_ROOT%{_rpmconfigdir}/fileattrs/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/mingw
install -m 0644 %{SOURCE11} $RPM_BUILD_ROOT%{_datadir}/mingw/
install -m 0644 %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/mingw/


%files base
%doc COPYING
%dir %{_sysconfdir}/rpmlint/
%config(noreplace) %{_sysconfdir}/rpmlint/mingw-rpmlint.config
%{macrosdir}/macros.mingw
%{_libexecdir}/mingw-scripts
%{_rpmconfigdir}/mingw*
%dir %{_datadir}/mingw/

%files -n mingw32-filesystem
%{macrosdir}/macros.mingw32
%config(noreplace) %{_sysconfdir}/profile.d/mingw32.sh
%{_bindir}/mingw32-configure
%{_bindir}/mingw32-cmake
%{_bindir}/mingw32-make
%{_bindir}/mingw32-pkg-config
%{_prefix}/i686-w64-mingw32
%{_rpmconfigdir}/fileattrs/mingw32.attr
%{_datadir}/mingw/toolchain-mingw32.cmake

%files -n mingw64-filesystem
%{macrosdir}/macros.mingw64
%config(noreplace) %{_sysconfdir}/profile.d/mingw64.sh
%{_bindir}/mingw64-configure
%{_bindir}/mingw64-cmake
%{_bindir}/mingw64-make
%{_bindir}/mingw64-pkg-config
%{_prefix}/x86_64-w64-mingw32
%{_rpmconfigdir}/fileattrs/mingw64.attr
%{_datadir}/mingw/toolchain-mingw64.cmake



%changelog
* Wed May 11 2016 tv <tv> 101-1.mga6
+ Revision: 1012438
- new release

* Sun Feb 28 2016 neoclust <neoclust> 100-3.mga6
+ Revision: 980573
- Sync with fedora 24

* Fri Feb 05 2016 umeabot <umeabot> 99-6.mga6
+ Revision: 939864
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 99-5.mga5
+ Revision: 744893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 99-4.mga5
+ Revision: 682429
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 99-3.mga4
+ Revision: 536105
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 neoclust <neoclust> 99-2.mga4
+ Revision: 483361
- Manually add provides

* Sun Sep 22 2013 neoclust <neoclust> 99-1.mga4
+ Revision: 483112
- Own the folders %%{mingw32_libdir}/cmake and %%{mingw64_libdir}/cmake
- Own all the locale folders below %%{mingw32_datadir}/locale and %%{mingw64_datadir}/locale (RHBZ #798329)
- Remove invalid macros with '++' in the name
- Only set the environment variable PKG_CONFIG_LIBDIR when using the macros %%mingw32_cmake, %%mingw32_cmake_kde4,
    %%mingw64_cmake or %%mingw64_cmake_kde4
- Removed the use of the environment variable PKG_CONFIG_LIBDIR While building binaries the tool {i686,x86_64}-
    w64-mingw32-pkg-config should be used to find out pkg-config information The environment variable PKG_CONFIG
    already automatically points to the right cross-compiler aware version of pkg-config when the mingw{32,64}-pkg-
    config packages are installed
- Fixes compilation of mingw-gtk3 3.9.0 (GNOME BZ #699690)
- Automatically add R: mingw{32,64}-pkg-config tags when .pc files are detected while building mingw packages
- Updated the list of DLLs which are part of the Win32 API with the libraries d3dcompiler_46.dll, d3dcsx_46.dll,
    davclnt.dll, devmgr.dll, devobj.dll and devrtl.dll
- imported package mingw-filesystem

